namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            long[] brojevi = new long[n];
            for(int i = 0; i < n; i++)
            {
                brojevi[i] = long.Parse(Console.ReadLine());
                List<long> proizvodi = new List<long>();
                for (long j = 1; j <= brojevi[i]; j++)
                {
                    long broj = j;
                    long proizvod = 1;
                    while (broj != 0)
                    {
                        proizvod *= broj % 10;
                        broj /= 10;
                    }
                    if (!proizvodi.Contains(proizvod)) proizvodi.Add(proizvod);
                }
                Console.WriteLine(proizvodi.Count);
            }
            
        }
    }
}